# feuforeve.v4

The code behind the website http://feuforeve.fr and some related tools and scripts.
Main repository: https://projects.feuforeve.fr/feuforeve.v4.git

# Dependencies

This website is written in [Racket](https://racket-lang.org/).

# Licence

Licence of the files depends on their locations.
Unless noted otherwise:
- all files under the `src` directory are licenced under the [GNU General Public License version 2](https://www.gnu.org/licenses/gpl-2.0.html) or any later version (GPLv2+).
- all files under the `static` directory are under the [Creative Commons Attribution-ShareAlike 4.0](https://creativecommons.org/licenses/by-sa/4.0/).

# Proxy
When behind a proxy, the proxy must pass the Host header, and set the X-Scheme header.
Exemple with nginx :
```
location / {
  proxy_set_header Host $http_host;
  proxy_set_header X-Scheme $scheme;
  proxy_pass http://localhost:8080;
}
```
