#lang racket/base

; Utilities to manipulate case in strings
(require
  racket/string)

(provide
  case:upcase-1st)

; Capitalize the first character of a string
; Similar to string-titlecase, but only on the first word
(define (case:upcase-1st str)
  (if (non-empty-string? str)
      (string-append
        (string-upcase (substring str 0 1))
        (substring str 1))
      ""))
